@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Halant:wght@300&family=Klee+One&family=Oooh+Baby&display=swap");

/*－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－

  全ページ共通

－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－*/
:root {
  --font-main: "Halant", "Klee One", serif;
  --font-heading: "Oooh Baby", "Klee One", serif;
  --color-main: #333;
  --color-accent: #ec6d71;
  --color-bg: #fdeff2;
  --color-btn: #ee827c;
  --color-cover: #f6bfbc;
  --color-frame: #ee827c;
  --transition: 0.3s ease;
  --transition-speed: 0.2s;
}

html {
  font-size: 62.5%;
}

body {
  font-family: var(--font-main);
  font-size: 1.4rem;
  color: var(--color-main);
  letter-spacing: 0.2rem;
  line-height: 1.5;
  background-color: var(--color-bg);
  transition: background-color var(--transition-speed);
}

@media screen and (max-width: 375px) {
  body {
    letter-spacing: 0.02rem;
  }
}

*:hover {
  transition: var(--transition-speed);
}

/*－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－

  テキストスタイル

－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－*/
p {
  margin: 0.5rem 0;
  text-align: justify;
}

a {
  color: var(--color-main);
  text-decoration: none;
}

/*－－－－－－－－－－ 見出し －－－－－－－－－－*/
h1,
h2,
h3,
h4 {
  font-weight: normal;
}

h1,
h2 {
  font-family: var(--font-heading);
}

h1 {
  font-size: 4rem;
}

h1.ja {
  font-size: 3.6rem;
}

h2 {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 2rem;
  align-items: center;
  color: var(--color-accent);
  font-size: 3rem;
}

h2::after {
  content: "";
  height: 1px;
  background: var(--color-accent);
}

h2.ja {
  font-size: 2.6rem;
}

h3 {
  position: relative;
  font-size: 2rem;
  margin: 1rem 0 0 0;
}

h3.ja {
  font-size: 1.8rem;
}

h3::after {
  content: "";
  position: absolute;
  top: 0;
  left: -10px;
  width: 16px;
  height: 16px;
  background: url(../img/stripe.png) no-repeat center/cover;
  transform: rotate(-15deg);
  opacity: 0.6;
}

h4 {
  display: flex;
  margin: 1rem 0;
  align-items: center;
  font-size: 1.6rem;
}

h4::before {
  content: "";
  width: 8px;
  height: 2px;
  background: var(--color-btn);
  margin-right: 8px;
}

/*－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－

  装飾

－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－*/
/* 背景白抜き */
.box {
  background: #fff;
  padding: 2rem;
}

/* 背景色 */
.label {
  margin: 4px;
  padding: 0.3em 0.75em;
  background-color: var(--color-cover);
}

/* 枠 */
.frame {
  margin: 4px;
  border: 1.5px solid var(--color-cover);
  background: transparent;
  padding: 0.3em 0.75em;
}

/* マーカー */
em {
  font-style: normal;
  background: linear-gradient(
    to bottom,
    transparent 60%,
    var(--color-cover) 60%
  );
  background-size: 100% 100%;
}

/*－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－

  リスト

－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－*/
ol {
  margin: 1rem 0;
}

/*－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－

  レイアウト

－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－*/
.center {
  text-align: center;
}
.right {
  text-align: right;
}

.flex {
  display: flex;
  flex-wrap: wrap;
}

.grid {
  display: grid;
}

dl.grid {
  grid-template-columns: auto 1fr;
  width: fit-content;
}

dl.grid dt,
dl.grid dd {
  padding: 1rem;
  border-bottom: 1px solid var(--color-accent);
}

/*－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－

  ３カラム設定

－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－*/
main.flex {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  padding: 1rem;
}

.boxLeft-Center {
  width: 66.66%;
  padding: 10px 20px;
}

.inner {
  display: flex;
  flex-direction: row;
}

.boxLeft,
.boxCenter {
  width: 50%;
  padding-right: 5rem;
}

.boxRight {
  width: 33.33%;
  padding: 10px 20px;
}

/*－－－－－－－－－－ レスポンシブ対応 －－－－－－－－－－*/
@media screen and (max-width: 1024px) {
  main.flex {
    flex-direction: column;
  }

  .boxLeft-Center,
  .boxRight {
    width: 100%;
    padding: 10px;
  }

  .inner {
    flex-direction: column;
  }

  .boxLeft-Center {
    width: 100%;
  }
  .boxLeft,
  .boxCenter {
    width: 100%;
    padding: 0;
  }
}

/*－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－

  メニュー

－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－*/
/*－－－－－－－－－－ ボタン －－－－－－－－－－*/
.menubtn {
  position: fixed;
  bottom: -80px;
  right: -80px;
  width: 160px;
  height: 160px;
  background: rgba(255, 255, 255, 0.4);
  color: var(--color-accent);
  font-weight: bold;
  transform: rotate(45deg);
  z-index: 99;
  transition: var(--transition-speed);
}

.menubtn:hover {
  background: #fff;
  cursor: pointer;
}

.menubtn span {
  position: absolute;
  bottom: 70px;
  left: 12px;
  transform: rotate(-45deg);
}

/*－－－－－－－－－－ メニュー －－－－－－－－－－*/
.globalnav {
  position: fixed;
  top: 0;
  right: 0;
  width: 25%;
  height: 100vh;
  color: #fff;
  text-align: center;
  z-index: 9;
  transform: translateX(100%);
  transition: 0.6s;
  display: flex;
  align-items: center;
}

.globalnav.is-active {
  transform: translateX(0);
}

@media screen and (max-width: 375px) {
  .globalnav {
    width: 100%;
  }
}

.globalnav ul {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  height: 100%;
  margin: 0;
  background: var(--color-accent);
}

.globalnav ul li {
  margin: 2rem 0;
}

.globalnav ul li a {
  color: #fff;
  text-decoration: none;
}

/*－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－

  フッター

－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－*/
footer {
  text-align: center;
  padding: 1rem;
}
